import request from '@/utils/request'
import { preventRepeatFu } from "@/utils/hciot";

// 查询告警类型列表
export function listAlarmType(query) {
    return request({
        url: '/iot/type/list',
        method: 'get',
        params: query
    })
}

// 查询告警类型详细
export function getAlarmType(typeId) {
    return request({
        url: '/iot/type/' + typeId,
        method: 'get'
    })
}

// 新增告警类型
export function addAlarmType(data) {
    preventRepeatFu(true)
    return request({
        url: '/iot/type',
        method: 'post',
        data: data
    })
}

// 修改告警类型
export function updateAlarmType(data) {
    preventRepeatFu(true)
    return request({
        url: '/iot/type',
        method: 'put',
        data: data
    })
}

// 删除告警类型
export function delAlarmType(typeId) {
    return request({
        url: '/iot/type/' + typeId,
        method: 'delete'
    })
}

// 查询告警类型全部
export function listAlarmTypeAll(query) {
    return request({
        url: '/iot/type/list-all',
        method: 'get',
        params: query
    })
}
